{% extends 'base.html.twig' %}

{% block body %}

    <div class="container">

        <div class="jumbotron">


            {% for restauran in restaurant %}
                <h1>Заведение "{{ restauran.title }}"</h1>
                <p><b>{{ restauran.descriptions }}</b></p>
            {% endfor %}

            <h2>Cписок всех блюд:</h2>
            <div>
                {% for dish in dishes %}

                    <h4>"{{ dish.name }}"</h4>
                    <h6>{{ dish.descriptions }}</h6>
                    <b>Цена: {{ dish.price }}$</b>

                    <form action="{{ path('app_default_basket', {id: restaurant_id}) }}" method="post">
                        <input type="hidden" name="to_basket_id" value="{{ dish.id }}">
                        <input class="btn btn-default" id="btn{{ dish.id }}" type="submit"
                               value="Добавить в корзину">
                    </form>
                    <hr>

                {% else %}
                    <p>Извините сегодня блюд нет</p>
                {% endfor %}
            </div>

        </div>
    </div>
    <div class="basket">
        <h3>Содержимое корзины:</h3>

        {% set sum = 0 %}
        {% set i = 0 %}
        {% for dis in dishes_array %}
            {% for di in dis %}
                {% if di.restaurants.id == restaurant_id %}
                    {% set sum = sum + di.price %}
                {% endif %}
            {% endfor %}
        {% endfor %}


        <form action="{{ path('app_default_purchases')}}" method="post">
        {% for value in dishes_array %}
            <ul>
                {% for dish in value %}
                    {% if dish.restaurants.id == restaurant_id %}
                        {% set i = i + 1 %}
                        <input type="hidden" name="dish_name{{ i }}" value="{{ dish.id }}">
                        {#<input type="text" name="dish_name{{ i }}" value="{{ user }}">#}
                        <li><b>{{ dish.name }}.</b><br>
                            Цена: {{ dish.price }}$
                            {#(<i>{{ dish.restaurants.id }}</i>)#}
                        </li>
                    {% endif %}
                {% else %}
                    <p>Добавьте в корзину</p>
                {% endfor %}
            </ul>
        {% else %}
            <p>Добавьте в корзину</p>
        {% endfor %}


        <b>Общая сумма: {{ sum }}$</b>

            <input type="submit" value="Купить">
        </form>

    </div>

{% endblock %}
